Login with a magic link
curl --request POST \
--url https://api.royalti.io/auth/loginlink \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com"
}
'import requests
url = "https://api.royalti.io/auth/loginlink"
payload = { "email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://api.royalti.io/auth/loginlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Auth
Login with a magic link
Request a magic login link to be sent to the user’s email
POST
/
auth
/
loginlink
Login with a magic link
Code Examples
const response = await fetch('https://api.royalti.io/auth/loginlink', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
"email": "sample-email"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/auth/loginlink',
json={"email":"sample-email"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/auth/loginlink \
-H "Content-Type: application/json" \
-d '{"email":"sample-email"}'
⌘I